// 全局载入

/** @interface 时间格式化和解析: 默认格式 YYYY-MM-DD HH:mm:ss (facha)*/
export {
  fmtDate,
  fmtTime,
  fmtDateTime,
  parseDate,
  parseTime,
  parseDateTime
} from "@/utils/date";

/** @interface 格式化阿里云OSS地址 */
export function fmtOSSUrl (path) {
  return `${process.env.VUE_APP_OSS_URL}/${path}`;
}

/** @interface 格式化审批格式 */
export function fmtApproveStatus (val) {
  return {
    "已通过": "success",
    "已拒绝": "info",
    "已撤回": "info",
    "已撤销": "danger",
    "审批中": "warning",
  }[val];
}
