import Vue from "vue";

import langZH from "quasar/lang/zh-hans";
import "quasar/dist/quasar.ie.polyfills";
import "@quasar/extras/material-icons/material-icons.css";
import {
  Quasar,
  QBtn,
  Ripple,
  TouchPan,
  TouchSwipe,
  Loading,
  Notify,
  Dialog,
  QTabs,
  QTab,
  QRouteTab,
  QBadge,
  QToolbar,
  QBanner,
  QPageScroller,
  QPageContainer,
  QLayout,
  QToolbarTitle,
  QHeader,
  QFooter,
  QAvatar,
  QPage,
  QImg,
  QCard,
  QCardSection,
  QExpansionItem,
  QSeparator,
  QPageSticky,
  QInput,
  QScrollArea,
  QList,
  QItem,
  QItemSection,
  QIcon,
  QItemLabel,
  QCheckbox,
  QBtnToggle,
  QTable,
  QToggle,
  QChip,
  QInfiniteScroll,
  QSpinnerDots,
  QSlider
} from "quasar";

Vue.use(Quasar, {
  config: {},
  components: {
    QBtn,
    QTabs,
    QTab,
    QRouteTab,
    QBadge,
    QToolbar,
    QBanner,
    QPageScroller,
    QPageContainer,
    QLayout,
    QToolbarTitle,
    QHeader,
    QFooter,
    QAvatar,
    QPage,
    QImg,
    QCard,
    QCardSection,
    QExpansionItem,
    QSeparator,
    QPageSticky,
    QInput,
    QScrollArea,
    QList,
    QItem,
    QItemSection,
    QIcon,
    QItemLabel,
    QCheckbox,
    QBtnToggle,
    QTable,
    QToggle,
    QChip,
    QInfiniteScroll,
    QSpinnerDots,
    QSlider
  },
  directives: { Ripple, TouchPan, TouchSwipe },
  plugins: { Loading, Notify, Dialog },
  lang: langZH
});
