export default {
  data () {
    // 表头格式化处理
    const tableHeader = [
      {
        header: "序号",
        field: "序号",
        align: "center",
        minw: 80,
        fixed: true
      },
      {
        header: "姓名",
        field: "员工姓名",
        align: "center",
        minw: 160,
        fixed: true
      },
      {
        header: "部门",
        align: "center",
        field: "所属部门",
        minw: 160
      },
      {
        header: "考勤时长",
        align: "center",
        merge: [
          {
            header: "原始工作时长",
            field: "工作时长",
            align: "center",
            minw: 130,
            slot: "num"
          },
          {
            header: "法定假调整时长",
            field: "法定假调整时长",
            align: "center",
            minw: 130,
            slot: "num"
          },
          {
            header: "缺卡调整时长",
            field: "缺卡调整时长",
            align: "center",
            minw: 130,
            slot: "num"
          },
          {
            header: "调休时长",
            field: "调休时长_x",
            align: "center",
            minw: 130,
            slot: "num"
          },
          {
            header: "总时长",
            field: "总时长",
            align: "center",
            minw: 130,
            slot: "num"
          },
          {
            header: "出差天数",
            field: "出差时长",
            align: "center",
            minw: 130,
            slot: "num"
          },
          {
            header: "出勤天数",
            field: "出勤天数_sys",
            align: "center",
            minw: 130,
            slot: "num"
          },
          {
            header: "备注",
            field: "考勤结果",
            minw: 300,
          },
          {
            header: "勤勉度系数",
            field: "勤勉度系数",
            align: "center",
            minw: 130,
          },
          {
            header: "加班时长",
            field: "加班总时长",
            align: "center",
            minw: 130,
            slot: "num"
          }
        ]
      },
      {
        header: "假期统计",
        align: "center",
        merge: [
          {
            header: "年假天数",
            field: "年假",
            align: "center",
            minw: 130,
            slot: "num"
          },
          {
            header: "事假天数",
            field: "事假天",
            align: "center",
            minw: 130,
            slot: "num"
          },
          {
            header: "调休天数",
            field: "调休天",
            align: "center",
            minw: 130,
            slot: "num"
          },
          {
            header: "产假天数",
            field: "产假",
            align: "center",
            minw: 130,
            slot: "num"
          },
          {
            header: "陪产假天数",
            field: "陪产假",
            align: "center",
            minw: 130,
            slot: "num"
          },
          {
            header: "婚假天数",
            field: "婚假",
            align: "center",
            minw: 130,
            slot: "num"
          },
          {
            header: "丧假天数",
            field: "丧假",
            align: "center",
            minw: 130,
            slot: "num"
          },
          {
            header: "哺乳假天数",
            field: "哺乳假天",
            align: "center",
            minw: 130,
            slot: "num"
          },
          {
            header: "病假天数",
            field: "病假",
            align: "center",
            minw: 130,
            slot: "num"
          },
          {
            header: "育儿假天数",
            field: "育儿假",
            align: "center",
            minw: 130,
            slot: "num"
          },
        ]
      }
    ];

    return {
      // 表头
      tableHeader
    };
  }
};
