// states
const state = {
  native: false, // 响应式: flexRem窗口resize同步更新
  realWid: 0, // flexRem内高分屏缩放比例, 导致@media无效, 还原document.body.clienWidth - 类@media实现见getters
  tabHei: 0 // 底部导航栏高度: 自定义滑动区域, 优化体验
};

// mutations
const mutations = {
  SET_IS_NATIVE: (state, native) => {
    state.native = native;
  },
  SET_REAL_WID: (state, realWid) => {
    state.realWid = realWid;
  },
  SET_TAB_HEI: (state, tabHei) => {
    state.tabHei = tabHei;
  }
};

// actions
const actions = {};

export default {
  namespaced: true,
  state,
  mutations,
  actions
};
