import Vue from "vue";

const event = new Vue();

// 使用 bus/storage 将 key 声明为常量，便于追踪和管理
const selector = {
  window_resize: "WINDOW_RESIZE",
  window_onload: "WINDOW_ONLOAD", // onload 会抛出 resize 以响应式更新
  login_timeout: "LOGIN_TIME_OUT" // 抛出登录超时
};

// import bus from "@/config/event-bus"
export default {
  $vm: event,
  $sel: selector
};
