export default [
  {
    path: "/tabbar",
    name: "tabbar",
    meta: {
      title: ""
    },
    component: () => import("@/modules/dinkle/views/layout"),
    redirect: "home",
    children: [
      {
        path: "/home",
        name: "home",
        meta: {
          title: "首页",
          navHide: true
        },
        component: () => import("@/modules/dinkle/views/home")
      },
      {
        path: "/contrast",
        name: "contrast",
        meta: {
          title: "对比"
        },
        component: () => import("@/modules/dinkle/views/contrast")
      },
      {
        path: "/website",
        name: "website",
        meta: {
          title: "官网",
          navHide: true
        },
        component: () => import("@/modules/dinkle/views/website")
      },
      {
        path: "/content",
        name: "content",
        meta: {
          title: "推广包"
        },
        component: () => import("@/modules/dinkle/views/content")
      },
      {
        path: "/search",
        name: "search",
        meta: {
          title: "搜索",
          tabHide: true,
          canBack: true
        },
        component: () => import("@/modules/dinkle/views/search")
      },
      {
        path: "/detail",
        name: "detail",
        meta: {
          title: "产品详情",
          tabHide: true,
          canBack: true
        },
        component: () => import("@/modules/dinkle/views/detail")
      },
      {
        path: "/relation",
        name: "relation",
        meta: {
          title: "产品详情",
          tabHide: true,
          canBack: true
        },
        component: () => import("@/modules/dinkle/views/detail/relation")
      },
      {
        path: "/pkList",
        name: "pkList",
        meta: {
          title: "PK列表",
          tabHide: true,
          canBack: true
        },
        component: () => import("@/modules/dinkle/views/pkList")
      }
    ]
  }
];
