export default [
  {
    path: "/opay",
    name: "opay",
    redirect: "/opay/report",
    component: () => import("opay/views/layout"),
    children: [
      {
        path: "report",
        name: "report",
        meta: {
          icon: "el-icon-s-data",
          menu: "考勤报表",
          title: "月度汇总",
        },
        component: () => import("opay/views/report")
      },
      {
        path: "check",
        name: "check",
        meta: {
          title: "月度明细",
        },
        component: () => import("opay/views/check")
      }
    ]
  }
];
