export default {
  data () {
    // 表头格式化处理
    const tableHeader = [];

    const tableHeader1 = [
      {
        header: "序号",
        field: "序号",
        align: "center",
        minw: 80,
        fixed: true
      },
      {
        header: "姓名",
        field: "员工姓名",
        align: "center",
        minw: 160,
        fixed: true
      },
      {
        header: "部门",
        align: "center",
        field: "所属部门",
        minw: 160
      },
    ];

    const tableHeader2 = [
      {
        header: "出勤天数",
        align: "center",
        field: "出勤天数_prd",
        minw: 130
      },
      {
        header: "法定年休假天数",
        field: "年假",
        align: "center",
        minw: 130,
      },
      {
        header: "病假天数",
        field: "病假",
        align: "center",
        minw: 130,
      },
      {
        header: "事假天数",
        field: "事假天数_prd",
        align: "center",
        minw: 130,
      },
      {
        header: "哺乳假天数",
        field: "哺乳假天数_prd",
        align: "center",
        minw: 130,
      },
      {
        header: "婚假天数",
        field: "婚假",
        align: "center",
        minw: 130,
      },
      {
        header: "丧假天数",
        field: "丧假",
        align: "center",
        minw: 130,
      },
      {
        header: "产假天数",
        field: "产假",
        align: "center",
        minw: 130,
      },
      {
        header: "陪产假天数",
        field: "陪产假",
        align: "center",
        minw: 130,
      },
      {
        header: "公假天数",
        field: "公假天数_prd",
        align: "center",
        minw: 130,
      },
      {
        header: "育儿假天数",
        field: "育儿假",
        align: "center",
        minw: 130,
      },
      {
        header: "迟到次数",
        field: "迟到次数_prd",
        align: "center",
        minw: 130,
      },
      {
        header: "早退次数",
        field: "早退次数_prd",
        align: "center",
        minw: 130,
      },
      {
        header: "旷工天数",
        field: "旷工天数_prd",
        align: "center",
        minw: 130,
      },
      {
        header: "出差天数",
        field: "出差时长",
        align: "center",
        minw: 130,
      },
      {
        header: "外出时长(小时)",
        field: "外出时长",
        align: "center",
        minw: 130,
      },
      {
        header: "调休天数",
        field: "调休天数_prd",
        align: "center",
        minw: 130,
      }
    ]

    return {
      // 表头
      tableHeader,
      tableHeader1,
      tableHeader2,
    };
  }
};
